Project

General

Profile

Tâche #34718

Scénario #34625: Zéphir : modifier plus d'une fois un fichier provoque une erreur

Tester

Added by Benjamin Bohard over 1 year ago. Updated over 1 year ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
10/01/2022
Due date:
% Done:

100%

Remaining (hours):
0.0

Eole-test-08.png View (80.6 KB) Ludwig Seys, 10/14/2022 09:39 AM

History

#1 Updated by Benjamin Bohard over 1 year ago

Le test squash zéphir "ZE-T03-005 - Envoi de fichiers via une variante" devrait permettre de valider cette correction.

#2 Updated by Ludwig Seys over 1 year ago

  • Assigned To set to Ludwig Seys

#3 Updated by Ludwig Seys over 1 year ago

  • File Eole-test-08.png View added
  • Status changed from Nouveau to En cours
  • % Done changed from 0 to 20

Fail pas n°12

paquet installé:
zephir-web:
Installé : 2.8.1-77
Candidat : 2.8.1-77

oct. 14 09:36:38 zephir zephir_backend8370: 2022-10-14T09:36:38+0200 [stderr#error] Traceback (most recent call last):
oct. 14 09:36:38 zephir zephir_backend8370: 2022-10-14T09:36:38+0200 [stderr#error] File "/usr/lib/python3/dist-packages/zephir/backend/modules_rpc.py", line 1424, in _get_var_file
oct. 14 09:36:38 zephir zephir_backend8370: 2022-10-14T09:36:38+0200 [stderr#error] if istextfile(dest_dir + os.sep + path):
oct. 14 09:36:38 zephir zephir_backend8370: 2022-10-14T09:36:38+0200 [stderr#error] File "/usr/lib/python3/dist-packages/zephir/backend/lib_backend.py", line 2346, in istextfile
oct. 14 09:36:38 zephir zephir_backend8370: [-] Traceback (most recent call last):
oct. 14 09:36:38 zephir zephir_backend8370: 2022-10-14T09:36:38+0200 [stderr#error] first_blocks = filehandler.read(blocksize)
oct. 14 09:36:38 zephir zephir_backend8370: 2022-10-14T09:36:38+0200 [stderr#error] File "/usr/lib/python3.8/codecs.py", line 322, in decode
oct. 14 09:36:38 zephir zephir_backend8370: 2022-10-14T09:36:38+0200 [stderr#error] (result, consumed) = self._buffer_decode(data, self.errors, final)
oct. 14 09:36:38 zephir zephir_backend8370: [-] File "/usr/lib/python3/dist-packages/zephir/backend/modules_rpc.py", line 1424, in _get_var_file
oct. 14 09:36:38 zephir zephir_backend8370: 2022-10-14T09:36:38+0200 [stderr#error] UnicodeDecodeError: 'utf-8' codec can't decode byte 0xfd in position 0: invalid start byte
oct. 14 09:36:38 zephir zephir_backend8370: [-] if istextfile(dest_dir + os.sep + path):
oct. 14 09:36:38 zephir zephir_backend8370: [-] File "/usr/lib/python3/dist-packages/zephir/backend/lib_backend.py", line 2346, in istextfile
oct. 14 09:36:38 zephir zephir_backend8370: [-] first_blocks = filehandler.read(blocksize)
oct. 14 09:36:38 zephir zephir_backend8370: [-] File "/usr/lib/python3.8/codecs.py", line 322, in decode
oct. 14 09:36:38 zephir zephir_backend8370: [-] (result, consumed) = self._buffer_decode(data, self.errors, final)
oct. 14 09:36:38 zephir zephir_backend8370: [-] UnicodeDecodeError: 'utf-8' codec can't decode byte 0xfd in position 0: invalid start byte
oct. 14 09:36:38 zephir zephir_backend8370: 2022-10-14T09:36:38+0200 [twisted.python.log#info] 127.0.0.1 - - [14/Oct/2022:07:36:38 +0000] "POST / HTTP/1.1" 200 227 "-" "Python-xmlrpc/3.8"
oct. 14 09:36:38 zephir zephir_backend8370: [-] 127.0.0.1 - - [14/Oct/2022:07:36:38 +0000] "POST / HTTP/1.1" 200 227 "-" "Python-xmlrpc/3.8"
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stdout#info] erreur backend xmlrpc : erreur de lecture du fichier
oct. 14 09:36:38 zephir zephir_web9491: [-] erreur backend xmlrpc : erreur de lecture du fichier
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] Traceback (most recent call last):
oct. 14 09:36:38 zephir zephir_web9491: [-] Traceback (most recent call last):
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] File "/usr/lib/python3/dist-packages/zephir/web/html/modules.py", line 1686, in renderView
oct. 14 09:36:38 zephir zephir_web9491: [-] File "/usr/lib/python3/dist-packages/zephir/web/html/modules.py", line 1686, in renderView
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] contenu = backend(proxy(request).modules.get_var_file(variante,module,path,True))
oct. 14 09:36:38 zephir zephir_web9491: [-] contenu = backend(proxy(request).modules.get_var_file(variante,module,path,True))
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] File "/usr/lib/python3/dist-packages/zephir/web/html/erreur.py", line 148, in backend
oct. 14 09:36:38 zephir zephir_web9491: [-] File "/usr/lib/python3/dist-packages/zephir/web/html/erreur.py", line 148, in backend
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] raise BackendError(convert(retour))
oct. 14 09:36:38 zephir zephir_web9491: [-] raise BackendError(convert(retour))
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] zephir.web.html.erreur.BackendError: <p><span id="alerte">Erreur provenant du backend XML-RPC</span></p>
oct. 14 09:36:38 zephir zephir_web9491: [-] zephir.web.html.erreur.BackendError: <p><span id="alerte">Erreur provenant du backend XML-RPC</span></p>
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] <a href="javascript:history.back()">Retour</a><br/></p><p><font size=-1><b>Détail</b><i> : erreur de lecture du fichier </i></font></p>
oct. 14 09:36:38 zephir zephir_web9491: [-] <a href="javascript:history.back()">Retour</a><br/></p><p><font size=-1><b>Détail</b><i> : erreur de lecture du fichier </i></font></p>
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] During handling of the above exception, another exception occurred:
oct. 14 09:36:38 zephir zephir_web9491: [-] During handling of the above exception, another exception occurred:
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] Traceback (most recent call last):
oct. 14 09:36:38 zephir zephir_web9491: [-] Traceback (most recent call last):
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] File "/usr/lib/python3/dist-packages/zephir/web/html/modules.py", line 1694, in renderView
oct. 14 09:36:38 zephir zephir_web9491: [-] File "/usr/lib/python3/dist-packages/zephir/web/html/modules.py", line 1694, in renderView
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] raise BackendError(err)
oct. 14 09:36:38 zephir zephir_web9491: [-] raise BackendError(err)
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] zephir.web.html.erreur.BackendError: <p><span id="alerte">Erreur provenant du backend XML-RPC</span></p>
oct. 14 09:36:38 zephir zephir_web9491: [-] zephir.web.html.erreur.BackendError: <p><span id="alerte">Erreur provenant du backend XML-RPC</span></p>
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] <a href="javascript:history.back()">Retour</a><br/></p><p><font size=-1><b>Détail</b><i> : <p><span id="alerte">Erreur provenant du backend XML-RPC</span></p>
oct. 14 09:36:38 zephir zephir_web9491: [-] <a href="javascript:history.back()">Retour</a><br/></p><p><font size=-1><b>Détail</b><i> : <p><span id="alerte">Erreur provenant du backend XML-RPC</span></p>
oct. 14 09:36:38 zephir zephir_web9491: 2022-10-14T09:36:38+0200 [stderr#error] <a href="javascript:history.back()">Retour</a><br/></p><p><font size=-1><b>Détail</b><i> : erreur de lecture du fichier </i></font></p> </i></font></p>
oct. 14 09:36:38 zephir zephir_web9491: [-] <a href="javascript:history.back()">Retour</a><br/></p><p><font size=-1><b>Détail</b><i> : erreur de lecture du fichier </i></font></p> </i></font></p>

#4 Updated by Ludwig Seys over 1 year ago

  • Status changed from En cours to Résolu
  • % Done changed from 20 to 100

Le test squash zéphir "ZE-T03-005 - Envoi de fichiers via une variante" Passant !

paquet zephir-web (2.8.1-79)

#5 Updated by Joël Cuissinat over 1 year ago

  • Status changed from Résolu to Fermé
  • Remaining (hours) set to 0.0

Correction confirmée par l'utilisateur ;)

Also available in: Atom PDF